My Project: openb3dlib.mod/openb3d/src/geom.h File Reference

My Project

Classes | Functions | Variables
geom.h File Reference
`#include <math.h>`

Go to the source code of this file.

## Classes

class | Vector
class | Line
class | Plane
struct | Quat
class | MMatrix
class | Box
class | Transform

## Functions

float | transformRadius (float r, const MMatrix &t)
MMatrix | pitchMMatrix (float q)
MMatrix | yawMMatrix (float q)
MMatrix | rollMMatrix (float q)
float | MMatrixPitch (const MMatrix &m)
float | MMatrixYaw (const MMatrix &m)
float | MMatrixRoll (const MMatrix &m)
MMatrix | scaleMMatrix (float x, float y, float z)
MMatrix | scaleMMatrix (const Vector &scale)
Quat | pitchQuat (float p)
Quat | yawQuat (float y)
Quat | rollQuat (float r)
Quat | rotationQuat (float p, float y, float r)
MMatrix | rotationMMatrix (float p, float y, float r)
MMatrix | rotationMMatrix (const Vector &rot)
float | quatPitch (const Quat &q)
float | quatYaw (const Quat &q)
float | quatRoll (const Quat &q)
Quat | MMatrixQuat (const MMatrix &p)

## Variables

const float | PI =3.14159265359f
const float | TWOPI =PI*2.0f
const float | HALFPI =PI*.5f
const float | QUARTERPI =PI*.25f
const float | EPSILON =.000001f

## Function Documentation

## § MMatrixPitch()

float MMatrixPitch | ( | const MMatrix & | m | ) |

inline

## § MMatrixQuat()

Quat MMatrixQuat | ( | const MMatrix & | p | ) |

inline

## § MMatrixRoll()

float MMatrixRoll | ( | const MMatrix & | m | ) |

inline

## § MMatrixYaw()

float MMatrixYaw | ( | const MMatrix & | m | ) |

inline

## § pitchMMatrix()

MMatrix pitchMMatrix | ( | float | q | ) |

inline

## § pitchQuat()

Quat pitchQuat | ( | float | p | ) |

inline

## § quatPitch()

float quatPitch | ( | const Quat & | q | ) |

inline

## § quatRoll()

float quatRoll | ( | const Quat & | q | ) |

inline

## § quatYaw()

float quatYaw | ( | const Quat & | q | ) |

inline

## § rollMMatrix()

MMatrix rollMMatrix | ( | float | q | ) |

inline

## § rollQuat()

Quat rollQuat | ( | float | r | ) |

inline

## § rotationMMatrix() [1/2]

MMatrix rotationMMatrix | ( | float | p,
|  | float | y,
|  | float | r
| ) |  |

inline

## § rotationMMatrix() [2/2]

MMatrix rotationMMatrix | ( | const Vector & | rot | ) |

inline

## § rotationQuat()

Quat rotationQuat | ( | float | p,
|  | float | y,
|  | float | r
| ) |  |

## § scaleMMatrix() [1/2]

MMatrix scaleMMatrix | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

## § scaleMMatrix() [2/2]

MMatrix scaleMMatrix | ( | const Vector & | scale | ) |

inline

## § transformRadius()

float transformRadius | ( | float | r,
|  | const MMatrix & | t
| ) |  |

inline

## § yawMMatrix()

MMatrix yawMMatrix | ( | float | q | ) |

inline

## § yawQuat()

Quat yawQuat | ( | float | y | ) |

inline

## Variable Documentation

## § EPSILON

const float EPSILON =.000001f

## § HALFPI

const float HALFPI =PI*.5f

## § PI

const float PI =3.14159265359f

## § QUARTERPI

const float QUARTERPI =PI*.25f

## § TWOPI

const float TWOPI =PI*2.0f